## libtree-redblack-perl 0.5

=== debian/changelog ===
libtree-redblack-perl (0.5-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + libtree-redblack-perl: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 22 Oct 2022 10:49:23 +0100

libtree-redblack-perl (0.5-3) unstable; urgency=medium

  [ Damyan Ivanov ]
  * declare conformance with Policy 4.1.3 (no changes needed)

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ gregor herrmann ]
  * debian/watch: use uscan version 4.

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 28 Jun 2022 21:20:25 +0100

libtree-redblack-perl (0.5-2.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Fri, 08 Jan 2021 13:47:37 +0100

libtree-redblack-perl (0.5-2) unstable; urgency=low

  * Team upload.

  [ gregor herrmann ]
  * debian/control: Changed: Switched Vcs-Browser field to ViewSVN
    (source stanza).
  * debian/control: Added: ${misc:Depends} to Depends: field.
  * Change my email address.
  * debian/control: update {versioned,alternative} (build) dependencies.

  [ Nathan Handler ]
  * debian/watch: Update to ignore development releases.

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs
  * Update Vcs-Browser URL to cgit web frontend
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ Axel Beckert ]
  * Convert to Debian source format "3.0 (quilt)".
  * Bump debhelper compatibility level to 10.
    + Update versioned build-dependency on debhelper accordingly.
  * Drop dh_make comments about how to rename the file from debian/watch.
  * Mention module name in long package description.
  * Remove trailing blank line from debian/control.
  * Actually install example script mentioned in package description into
    binary package.
  * Mark package as autopkgtestable.
  * Set "Rules-Requires-Root: no".
  * Declare compliance with Debian Policy 4.1.1.
  * Finish conversion of debian/copyright to the machine-readable DEP5
    format.

 -- Axel Beckert <abe@debian.org>  Sun, 19 Nov 2017 20:45:48 +0100

libtree-redblack-perl (0.5-1) unstable; urgency=low

  * New upstream release
  * drop fix_broken_insert_with_custom_compare.patch; fixed upstream
    - remove quilt from the build process
    - drop unneeded README.source
    - debian/rules is now a three-liner

 -- Damyan Ivanov <dmn@debian.org>  Fri, 08 Aug 2008 22:16:16 +0300

libtree-redblack-perl (0.3-9) unstable; urgency=low

  * add fix_broken_insert_with_custom_compare.patch; Closes: #493064
    Thanks to Craig Soules for reporting and Andre Lucas for the patch.
    + add quilt to the build process
  * add README.source documenting quilt usage
    + Standards-Version: 3.8.0
  * add myself to Uploaders
  * trim down debian/rules using debhelper 7

 -- Damyan Ivanov <dmn@debian.org>  Thu, 31 Jul 2008 09:53:33 +0300

libtree-redblack-perl (0.3-8) unstable; urgency=low

  [ gregor herrmann ]
  * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser
    field (source stanza); Homepage field (source stanza). Removed: XS-
    Vcs-Svn fields.
  * debian/rules:
    - delete /usr/lib/perl5 only if it exists (closes: #467974)
    - minor updates
    - install upstream Changes
  * debian/watch: use dist-based URL.
  * debian/copyright: add upstream source location, clarify
    copyright/license, convert to new format.
  * Set Standards-Version to 3.7.3 (no changes).
  * Add debian/compat.

  [ Damyan Ivanov ]
  * drop uupdate from watch file

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Thu, 06 Mar 2008 17:41:43 +0100

libtree-redblack-perl (0.3-7) unstable; urgency=low

  * Use $(CURDIR) [make] instead of $(PWD) [sh] to fix issues with sudo.
  * Set debhelper compatibility level to 5.
  * Set Standards-Version to 3.7.2 (no changes).
  * Move perl from Build-Depends to Build-Depends-Indep.
  * Remove empty /usr/lib/perl5 directory.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Sun,  1 Oct 2006 15:06:23 +0200

libtree-redblack-perl (0.3-6) unstable; urgency=low

  * Added debian/watch

 -- Gunnar Wolf <gwolf@debian.org>  Tue, 12 Apr 2005 20:14:13 -0500

libtree-redblack-perl (0.3-5) unstable; urgency=low

  * Moved to section Perl
  * Bumped up standards version to 3.6.1
  * New maintainer - Debian Perl Group <pkg-perl-
    maintainers@lists.alioth.debian.org> (Closes: #279808)

 -- Gunnar Wolf <gwolf@debian.org>  Sat, 11 Dec 2004 10:42:45 -0600

libtree-redblack-perl (0.3-4) unstable; urgency=low

  * New maintainer, Closes: #112371
  * Fix typo in package description, Closes: #118375

 -- Stephen Zander <gibreel@debian.org>  Mon, 12 Nov 2001 15:20:46 -0800

libtree-redblack-perl (0.3-3) unstable; urgency=low

  * Changed description. Closes: #110977

 -- Eduard Bloch <blade@debian.org>  Sat, 15 Sep 2001 22:19:40 +0200

libtree-redblack-perl (0.3-2) unstable; urgency=low

  * improved description, closes: #110487
  * added an example script

 -- Eduard Bloch <blade@debian.org>  Wed, 29 Aug 2001 09:46:39 +0200

libtree-redblack-perl (0.3-1) unstable; urgency=low

  * Initial Release.

 -- Eduard Bloch <blade@debian.org>  Sun, 26 Aug 2001 11:37:51 +0200
