=== debian/control ===
Source: libtree-redblack-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: gregor herrmann <gregoa@debian.org>,
           Damyan Ivanov <dmn@debian.org>
Section: perl
Priority: optional
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: perl
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libtree-redblack-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libtree-redblack-perl.git
Homepage: https://metacpan.org/release/Tree-RedBlack
Testsuite: autopkgtest-pkg-perl
Rules-Requires-Root: no

Package: libtree-redblack-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends}
Multi-Arch: foreign
Description: Perl implementation of Red/Black tree, a balanced tree
 Tree::RedBlack is a demonstration package, showing the performance
 differences between different methods of data storage and
 accessing. It contains a perl implementation of the Red/Black tree
 algorithm found in the book "Algorithms", by Cormen, Leiserson &
 Rivest (more commonly known as "CLR" or "The White Book").  A
 Red/Black tree is a binary tree which remains "balanced"- that is,
 the longest length from root to a node is at most one more than the
 shortest such length.  It is fairly efficient; no operation takes
 more than O(lg(n)) time.
 .
 An example perl script is contained in the documentation directory,
 which would show the different run times using hash table, linear or
 tree structure.
