=== debian/watch ===
version=4
https://metacpan.org/release/Tree-RedBlack   .*/Tree-RedBlack-v?@ANY_VERSION@@ARCHIVE_EXT@$
